package com.ynet.life.sujrb.base;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.log.GENELog;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_base.jar:com/ynet/life/sujrb/base/GetSerialNOForPrimaryKey.class */
public class GetSerialNOForPrimaryKey extends LifeJDBCAction {
    private String tableName;
    private String columnName;
    private String prefix;
    private String maxSerialno;
    private String yyyyMMdd = "yyyyMMdd";
    private String df = "000000000";

    private String getSerialNoFromSourceTable(String tableName, String columnName, String prefix, String yyyyMMdd, String s000000, String date, Connection conn) throws Exception {
        String s6;
        GENELog.log(GENEConstance.GENE_COMM, GENELog.INFO, 0, "****不建议的取流水号的方式(getSerialNoFromSourceTable)****[" + tableName + "][" + columnName + "]******");
        int j = 0;
        DecimalFormat decimalformat = new DecimalFormat(s000000);
        int i = date.length();
        String s5 = "select max(" + columnName + ") from " + tableName + " where " + columnName + " like '" + date + "%' ";
        PreparedStatement pstat = conn.prepareStatement(s5);
        ResultSet rs = pstat.executeQuery();
        if (rs.next() && (s6 = rs.getString(1)) != null) {
            j = Integer.valueOf(s6.substring(i)).intValue();
        }
        String s8 = String.valueOf(date) + decimalformat.format(j + 1);
        pstat.close();
        GENELog.log(GENEConstance.GENE_COMM, GENELog.INFO, 0, "..." + s8 + "...");
        return s8;
    }

    public String execute(Context context) {
        String maxSerialNo;
        SimpleDateFormat simpledateformat = new SimpleDateFormat(this.yyyyMMdd);
        DecimalFormat decimalformat = new DecimalFormat(this.df);
        String date = simpledateformat.format(new Date());
        this.tableName = this.tableName.toUpperCase();
        this.columnName = this.columnName.toUpperCase();
        if (this.prefix == null || "".equals(this.prefix)) {
            this.prefix = "";
        } else {
            this.prefix = this.prefix.toUpperCase();
        }
        Connection conn = null;
        Context context2 = null;
        PreparedStatement stat = null;
        try {
            try {
                try {
                    conn = LifeDBAccess.getConnection(getDataSource());
                    String s7 = " select MaxSerialNo from OBJECT_MAXSN  where TableName='" + this.tableName + "' and columnName='" + this.columnName + "' ";
                    PreparedStatement prepareStatement = conn.prepareStatement(s7);
                    stat = prepareStatement;
                    ResultSet rs = prepareStatement.executeQuery();
                    if (rs.next()) {
                        String maxSerialNo2 = rs.getString(1);
                        if (maxSerialNo2.substring(0, this.yyyyMMdd.length()).equals(date.substring(0, this.yyyyMMdd.length()))) {
                            int intSort = Integer.parseInt(maxSerialNo2.substring(8));
                            String strSort = decimalformat.format(intSort + 1);
                            maxSerialNo = String.valueOf(date) + strSort;
                        } else {
                            String strSort2 = decimalformat.format(1L);
                            maxSerialNo = String.valueOf(date) + strSort2;
                        }
                        String updateSQL = "update OBJECT_MAXSN set MaxSerialNo ='" + maxSerialNo + "'  where TableName = '" + this.tableName + "' and ColumnName = '" + this.columnName + "' ";
                        stat.executeUpdate(updateSQL);
                    } else {
                        maxSerialNo = getSerialNoFromSourceTable(this.tableName, this.columnName, this.prefix, this.yyyyMMdd, this.df, date, conn);
                        String insertSQL = " insert into OBJECT_MAXSN (tablename,columnname,maxserialno)  values( '" + this.tableName + "','" + this.columnName + "','" + maxSerialNo + "') ";
                        stat.executeUpdate(insertSQL);
                    }
                    context2 = context;
                    context2.setDataValue(this.maxSerialno, String.valueOf(this.prefix) + maxSerialNo);
                    if (stat != null) {
                        try {
                            stat.close();
                        } catch (SQLException unused) {
                        }
                    }
                    if (conn == null) {
                        return null;
                    }
                    try {
                        LifeDBAccess.releaseConnection(conn);
                        return null;
                    } catch (TranFailException unused2) {
                        return null;
                    }
                } catch (Throwable th) {
                    if (stat != null) {
                        try {
                            stat.close();
                        } catch (SQLException unused3) {
                        }
                    }
                    if (conn != null) {
                        try {
                            LifeDBAccess.releaseConnection(conn);
                        } catch (TranFailException unused4) {
                        }
                    }
                    throw th;
                }
            } catch (SQLException e) {
                context2.printStackTrace();
                if (stat != null) {
                    try {
                        stat.close();
                    } catch (SQLException unused5) {
                    }
                }
                if (conn == null) {
                    return null;
                }
                try {
                    LifeDBAccess.releaseConnection(conn);
                    return null;
                } catch (TranFailException unused6) {
                    return null;
                }
            }
        } catch (Exception e2) {
            context2.printStackTrace();
            if (stat != null) {
                try {
                    stat.close();
                } catch (SQLException unused7) {
                }
            }
            if (conn == null) {
                return null;
            }
            try {
                LifeDBAccess.releaseConnection(conn);
                return null;
            } catch (TranFailException unused8) {
                return null;
            }
        } catch (TranFailException e3) {
            context2.printStackTrace();
            if (stat != null) {
                try {
                    stat.close();
                } catch (SQLException unused9) {
                }
            }
            if (conn == null) {
                return null;
            }
            try {
                LifeDBAccess.releaseConnection(conn);
                return null;
            } catch (TranFailException unused10) {
                return null;
            }
        }
    }

    public String getTableName() {
        return this.tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getColumnName() {
        return this.columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getPrefix() {
        return this.prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public void setMaxSerialno(String maxSerialno) {
        this.maxSerialno = maxSerialno;
    }
}
